> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Add Member Note

POST https://api.npretail.app/{tenant}/{environment}/{company}/membership/member/{memberId}/note
Content-Type: application/json

Add a note to a specific member's profile. This endpoint allows you to add a note to a member's profile, providing additional context or information about the member. This endpoint returns a list of notes that have been added to a member's profile.

Reference: https://docs.navipartner.com/apis/api-reference/memberships/service-member/add-member-note

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)
- `memberId` (UUID, required) — Unique identifier for a member.

### Body (application/json)

This endpoint expects an AddNoteRequest.

- `title` (string, required) — Title of the note.
- `comment` (string, required) — Comment of the note.

## Response

### 200

- `list of Note`

## Types

### Note

A note is two text fields, title and comment that can be added to a member or membership. It is used to store additional information or comments about the member or membership.

- `id` (UUID, required) — Unique identifier for a note.
- `title` (string, required) — Title of the note.
- `comment` (string, required) — Comment of the note.
- `createdAt` (datetime, required) — Date and time when the entity was created.
- `modifiedAt` (datetime, required) — Date and time when the entity was updated.

## Examples

**Request**

```json
{
  "title": "Important Note",
  "comment": "This is the full text describing the content of this important note."
}
```

**Response**

```json
[
  {
    "id": "12345678-abcd-1234-5678-1234567890ab",
    "title": "Important Note",
    "comment": "This is the full text describing the content of this important note.",
    "createdAt": "2024-09-17T00:00:00",
    "modifiedAt": "2024-09-18T00:00:00"
  }
]
```

**SDK Code**

```python Example Member Notes
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/note"

payload = {
    "title": "Important Note",
    "comment": "This is the full text describing the content of this important note."
}
headers = {
    "x-np-api-key": "<NaviPartner API Key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Example Member Notes
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/note';
const options = {
  method: 'POST',
  headers: {'x-np-api-key': '<NaviPartner API Key>', 'Content-Type': 'application/json'},
  body: '{"title":"Important Note","comment":"This is the full text describing the content of this important note."}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example Member Notes
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/note"

	payload := strings.NewReader("{\n  \"title\": \"Important Note\",\n  \"comment\": \"This is the full text describing the content of this important note.\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example Member Notes
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/note")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"title\": \"Important Note\",\n  \"comment\": \"This is the full text describing the content of this important note.\"\n}"

response = http.request(request)
puts response.read_body
```

```java Example Member Notes
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/note")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .header("Content-Type", "application/json")
  .body("{\n  \"title\": \"Important Note\",\n  \"comment\": \"This is the full text describing the content of this important note.\"\n}")
  .asString();
```

```php Example Member Notes
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/note', [
  'body' => '{
  "title": "Important Note",
  "comment": "This is the full text describing the content of this important note."
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp Example Member Notes
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/note");
var request = new RestRequest(Method.POST);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"title\": \"Important Note\",\n  \"comment\": \"This is the full text describing the content of this important note.\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example Member Notes
import Foundation

let headers = [
  "x-np-api-key": "<NaviPartner API Key>",
  "Content-Type": "application/json"
]
let parameters = [
  "title": "Important Note",
  "comment": "This is the full text describing the content of this important note."
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/note")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```